### Method

# Camel MimeParser from_line

since: 2.22

#### Declaration [src]

    const gchar*
    camel_mime_parser_from_line (
      CamelMimeParser* m
    )

#### Description [src]

Get the last scanned “From ” line, from a recently scanned from. This should only be called in the CAMEL_MIME_PARSER_STATE_FROM state. The from line will include the closing \n found (if there was one).

The return value will remain valid while in the CAMEL_MIME_PARSER_STATE_FROM state, or any deeper state.

Available since: 2.22

#### Return value

Type: `const gchar*`

The From line, or `NULL` if called out of context.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.